Package com.sun.jna.platform.unix

# Class X11.Visual

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.unix.X11.Visual

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  X11

public static class X11.Visual extends PointerType

## Constructor Summary

Constructors
Constructor
Description
`Visual()`

## Method Summary

Modifier and Type
Method
Description
`X11.VisualID`
`getVisualID()`
`String`
`toString()`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Visual

public Visual()

## Method Details

### getVisualID

public X11.VisualID getVisualID()

### toString

public String toString()

Overrides:
  `toString` in class `PointerType`